package com.ss.android.ugc.aweme.app.services;

import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import kotlin.h.b.n;

public final class HybridABInfoService implements IHybridABInfoService {
    public Boolean LIZ;

    static {
        Covode.recordClassIndex(53384);
    }

    public final Integer LIZ() {
        Boolean bool = this.LIZ;
        if (n.LIZ(bool, true)) {
            return 1;
        }
        if (n.LIZ(bool, false)) {
            return 0;
        }
        return null;
    }

    public static IHybridABInfoService LIZIZ() {
        MethodCollector.i(3196);
        IHybridABInfoService iHybridABInfoService = (IHybridABInfoService) Lnj.LIZ(IHybridABInfoService.class, false);
        if (iHybridABInfoService != null) {
            MethodCollector.o(3196);
            return iHybridABInfoService;
        }
        Object LIZIZ = Lnj.LIZIZ(IHybridABInfoService.class, false);
        if (LIZIZ != null) {
            IHybridABInfoService iHybridABInfoService2 = (IHybridABInfoService) LIZIZ;
            MethodCollector.o(3196);
            return iHybridABInfoService2;
        }
        if (Lnj.LJJJJL == null) {
            synchronized (IHybridABInfoService.class) {
                try {
                    if (Lnj.LJJJJL == null) {
                        Lnj.LJJJJL = new HybridABInfoService();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3196);
                    throw th;
                }
            }
        }
        HybridABInfoService hybridABInfoService = (HybridABInfoService) Lnj.LJJJJL;
        MethodCollector.o(3196);
        return hybridABInfoService;
    }

    public final void LIZ(boolean z) {
        this.LIZ = Boolean.valueOf(z);
    }
}
